package org.javafxdata.control.cell;

import java.util.List;
import java.util.Queue;
import javafx.scene.control.Control;
import java.util.WeakHashMap;
import javafx.scene.control.Cell;

/**
 *
 * @author Jonathan Giles
 */
class ExpandOnMouseEventCell {
    static final int ANIMATION_DURATION = 350;
    
    // records all expanded cells for all controls when there can be more than
    // one expanded cell per ListView. 
    static final WeakHashMap<Control, Queue<Cell>> expandedCellsMap =
        new WeakHashMap<Control, Queue<Cell>>();
    
    static final WeakHashMap<Control, List<Integer>> expandedIndicesMap = 
            new WeakHashMap<Control, List<Integer>>();
}
