package org.javafxdata.control.cell;

import java.util.List;

import javafx.scene.control.Cell;

class MoneyCell {
    static <T> void getCssState(Cell<T> cell, List<String> s) {
        T n = cell.getItem();
        if (! (n instanceof Number)) return;
        
        double value = ((Number)n).doubleValue();
        
        if (value < 0) s.add(MoneyCellFactory.NEGATIVE_STATE);
        if (value > 0) s.add(MoneyCellFactory.POSITIVE_STATE);
    }
}
